%define name	kpodder
%define version	0.6
%define release %mkrel 4

Name: 	 	%{name}
Summary: 	Podcast collection for KDE
Version: 	%{version}
Release: 	%{release}

Source:		http://www.leonscape.co.uk/linux/kpodder/%{name}-%{version}.tar.bz2
URL:		http://www.leonscape.co.uk/linux/kpodder/
License:	GPLv2+
Group:		Networking/News
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdebase-devel
BuildRequires:  ImageMagick

Provides:	bpconf = %version-%release
Obsoletes:	bpconf < %version-%release

%description
KPodder is a simple configuration frontend for the BashPodder tool, which can
be used to collect podcasts from across the Web. After selecting feeds and
choosing when and where you want them saved, it will collect the files for
you. It also features an option for checking feeds immediately.

%prep
%setup -q

%build
%configure2_5x --disable-rpath
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
desktop-file-install --vendor="" --delete-original \
  --remove-category="Application" \
  --add-category="Network" \
  --add-category="News" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/*

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 src/hi16-app-%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cp src/hi32-app-%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cp src/hi16-app-%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%clean_menus
%{clean_desktop_database}
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/kde/%name.desktop
%{_datadir}/apps/%name
%{_docdir}/HTML/en/%name
%{_iconsdir}/hicolor/*/apps/%name.png
%{_datadir}/mimelnk/rss+xml.desktop
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png


%changelog
* Fri Dec 14 2007 Funda Wang <fundawang@mandriva.org> 0.6-4mdv2008.1
+ Revision: 119986
- drop old menu

  + Thierry Vignaud <tvignaud@mandriva.com>
    - import kpodder


* Thu Jul 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6-3mdv2007.0
- XDG
- Use macro for icons && mimetypes

* Tue Apr 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6-2mdk
- Add Buildrequires
- use mkrel

* Sun Mar 19 2006 Austin Acton <austin@mandriva.org> 0.6-1mdk
- name change from bpconf to kpodder
- 0.6

* Fri Aug 26 2005 Austin Acton <austin@mandriva.org> 0.5.1-1mdk
- initial package
